org.apache.xmlgraphics.image.rendered

## Class RenderedImageCachableRed

- java.lang.Object
- - org.apache.xmlgraphics.image.rendered.RenderedImageCachableRed

- All Implemented Interfaces:
    java.awt.image.RenderedImage, CachableRed

      public class RenderedImageCachableRed
      extends java.lang.Object
      implements CachableRed

  This implements CachableRed around a RenderedImage. You can use this to wrap a RenderedImage that you want to appear as a CachableRed. It essentially ignores the dependency and dirty region methods.
  Version:
    $Id: RenderedImageCachableRed.java 1732018 2016-02-24 04:51:06Z gadams $ Originally authored by Thomas DeWeese.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RenderedImageCachableRed(java.awt.image.RenderedImage src)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.image.WritableRaster` | `copyData(java.awt.image.WritableRaster raster)`
    `java.awt.Rectangle` | `getBounds()` Returns the bounds of the current image.
    `java.awt.image.ColorModel` | `getColorModel()`
    `java.awt.image.Raster` | `getData()`
    `java.awt.image.Raster` | `getData(java.awt.Rectangle rect)`
    `java.awt.Shape` | `getDependencyRegion(int srcIndex, java.awt.Rectangle outputRgn)` Returns the region of input data is is required to generate outputRgn.
    `java.awt.Shape` | `getDirtyRegion(int srcIndex, java.awt.Rectangle inputRgn)` This calculates the region of output that is affected by a change in a region of input.
    `int` | `getHeight()`
    `int` | `getMinTileX()`
    `int` | `getMinTileY()`
    `int` | `getMinX()`
    `int` | `getMinY()`
    `int` | `getNumXTiles()`
    `int` | `getNumYTiles()`
    `java.lang.Object` | `getProperty(java.lang.String name)`
    `java.lang.String[]` | `getPropertyNames()`
    `java.awt.image.SampleModel` | `getSampleModel()`
    `java.util.Vector` | `getSources()`
    `java.awt.image.Raster` | `getTile(int tileX, int tileY)`
    `int` | `getTileGridXOffset()`
    `int` | `getTileGridYOffset()`
    `int` | `getTileHeight()`
    `int` | `getTileWidth()`
    `int` | `getWidth()`
    `static CachableRed` | `wrap(java.awt.image.RenderedImage ri)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RenderedImageCachableRed

          public RenderedImageCachableRed(java.awt.image.RenderedImage src)

  - ### Method Detail

    - #### wrap

          public static CachableRed wrap(java.awt.image.RenderedImage ri)

    - #### getSources

          public java.util.Vector getSources()

      Specified by:
        `getSources` in interface `java.awt.image.RenderedImage`

    - #### getBounds

          public java.awt.Rectangle getBounds()

      Description copied from interface: `CachableRed`
      Returns the bounds of the current image. This should be 'in sync' with getMinX, getMinY, getWidth, getHeight
      Specified by:
        `getBounds` in interface `CachableRed`

    - #### getMinX

          public int getMinX()

      Specified by:
        `getMinX` in interface `java.awt.image.RenderedImage`

    - #### getMinY

          public int getMinY()

      Specified by:
        `getMinY` in interface `java.awt.image.RenderedImage`

    - #### getWidth

          public int getWidth()

      Specified by:
        `getWidth` in interface `java.awt.image.RenderedImage`

    - #### getHeight

          public int getHeight()

      Specified by:
        `getHeight` in interface `java.awt.image.RenderedImage`

    - #### getColorModel

          public java.awt.image.ColorModel getColorModel()

      Specified by:
        `getColorModel` in interface `java.awt.image.RenderedImage`

    - #### getSampleModel

          public java.awt.image.SampleModel getSampleModel()

      Specified by:
        `getSampleModel` in interface `java.awt.image.RenderedImage`

    - #### getMinTileX

          public int getMinTileX()

      Specified by:
        `getMinTileX` in interface `java.awt.image.RenderedImage`

    - #### getMinTileY

          public int getMinTileY()

      Specified by:
        `getMinTileY` in interface `java.awt.image.RenderedImage`

    - #### getNumXTiles

          public int getNumXTiles()

      Specified by:
        `getNumXTiles` in interface `java.awt.image.RenderedImage`

    - #### getNumYTiles

          public int getNumYTiles()

      Specified by:
        `getNumYTiles` in interface `java.awt.image.RenderedImage`

    - #### getTileGridXOffset

          public int getTileGridXOffset()

      Specified by:
        `getTileGridXOffset` in interface `java.awt.image.RenderedImage`

    - #### getTileGridYOffset

          public int getTileGridYOffset()

      Specified by:
        `getTileGridYOffset` in interface `java.awt.image.RenderedImage`

    - #### getTileWidth

          public int getTileWidth()

      Specified by:
        `getTileWidth` in interface `java.awt.image.RenderedImage`

    - #### getTileHeight

          public int getTileHeight()

      Specified by:
        `getTileHeight` in interface `java.awt.image.RenderedImage`

    - #### getProperty

          public java.lang.Object getProperty(java.lang.String name)

      Specified by:
        `getProperty` in interface `java.awt.image.RenderedImage`

    - #### getPropertyNames

          public java.lang.String[] getPropertyNames()

      Specified by:
        `getPropertyNames` in interface `java.awt.image.RenderedImage`

    - #### getTile

          public java.awt.image.Raster getTile(int tileX,
                                               int tileY)

      Specified by:
        `getTile` in interface `java.awt.image.RenderedImage`

    - #### copyData

          public java.awt.image.WritableRaster copyData(java.awt.image.WritableRaster raster)

      Specified by:
        `copyData` in interface `java.awt.image.RenderedImage`

    - #### getData

          public java.awt.image.Raster getData()

      Specified by:
        `getData` in interface `java.awt.image.RenderedImage`

    - #### getData

          public java.awt.image.Raster getData(java.awt.Rectangle rect)

      Specified by:
        `getData` in interface `java.awt.image.RenderedImage`

    - #### getDependencyRegion

          public java.awt.Shape getDependencyRegion(int srcIndex,
                                                    java.awt.Rectangle outputRgn)

      Description copied from interface: `CachableRed`
      Returns the region of input data is is required to generate outputRgn.
      Specified by:
        `getDependencyRegion` in interface `CachableRed`
      Parameters:
        `srcIndex` - The source to do the dependency calculation for.
        `outputRgn` - The region of output you are interested in generating dependencies for. The is given in the output pixel coordiate system for this node.
      Returns:
        The region of input required. This is in the output pixel coordinate system for the source indicated by srcIndex.

    - #### getDirtyRegion

          public java.awt.Shape getDirtyRegion(int srcIndex,
                                               java.awt.Rectangle inputRgn)

      Description copied from interface: `CachableRed`
      This calculates the region of output that is affected by a change in a region of input.
      Specified by:
        `getDirtyRegion` in interface `CachableRed`
      Parameters:
        `srcIndex` - The input that inputRgn reflects changes in.
        `inputRgn` - the region of input that has changed, used to calculate the returned shape. This is given in the pixel coordinate system of the source indicated by srcIndex.
      Returns:
        The region of output that would be invalid given a change to inputRgn of the source selected by srcIndex. this is in the output pixel coordinate system of this node.

Copyright 1999-2021 The Apache Software Foundation. All Rights Reserved.